#ifndef LINEBUFFER_H_
#define LINEBUFFER_H_

class LineBuffer {
  private:
    // バッファのサイズ
    int length;
    // 現在格納されているデータサイズ
    volatile int count;
    // バッファの実体
    char *data;

  public:
    LineBuffer(int _length);
    ~LineBuffer();
    void allocate(int _length);
    void deallocate();
    bool available();
    void clear();
    int put(char _c);
    int getCount();
    char* getData();
};

#endif

